Patch  oval:com.redhat.rhsa:def:20100040
RHSA-2010:0040: php security update (Moderate)  

PHP is an HTML-embedded scripting language commonly used with the Apache HTTP Web server.
Multiple missing input sanitization flaws were discovered in PHP's exif extension. A specially-crafted image file could cause the PHP interpreter to crash or, possibly, disclose portions of its memory when a PHP script tried to extract Exchangeable image file format (Exif) metadata from the image file. (CVE-2009-2687, CVE-2009-3292)
A missing input sanitization flaw, leading to a buffer overflow, was discovered in PHP's gd library. A specially-crafted GD image file could cause the PHP interpreter to crash or, possibly, execute arbitrary code when opened. (CVE-2009-3546)
It was discovered that PHP did not limit the maximum number of files that can be uploaded in one request. A remote attacker could use this flaw to instigate a denial of service by causing the PHP interpreter to use lots of system resources dealing with requests containing large amounts of files to be uploaded. This vulnerability depends on file uploads being enabled (which it is, in the default PHP configuration). (CVE-2009-4017)
Note: This update introduces a new configuration option, max_file_uploads, used for limiting the number of files that can be uploaded in one request. By default, the limit is 20 files per request.
It was discovered that PHP was affected by the previously published "null prefix attack", caused by incorrect handling of NUL characters in X.509 certificates. If an attacker is able to get a carefully-crafted certificate signed by a trusted Certificate Authority, the attacker could use the certificate during a man-in-the-middle attack and potentially confuse PHP into accepting it by mistake. (CVE-2009-3291)
It was discovered that PHP's htmlspecialchars() function did not properly recognize partial multi-byte sequences for some multi-byte encodings, sending them to output without them being escaped. An attacker could use this flaw to perform a cross-site scripting attack. (CVE-2009-4142)
All php users should upgrade to these updated packages, which contain backported patches to resolve these issues. After installing the updated packages, the httpd daemon must be restarted for the update to take effect.
Create Date: 2010-01-13 Last Update Date: 2010-01-13

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions)
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 4

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : Red Hat Enterprise Linux must be installed
WARNING! Unknown test oval:com.redhat.rhba:tst:20070304026. Please see help for possible reasons
IF : All of the following are true
IF : Red Hat Enterprise Linux 5 is installed
WARNING! Unknown test oval:com.redhat.rhba:tst:20070331005. Please see help for possible reasons
IF : Any one of the following are true
IF : All of the following are true
IF : php-xmlrpc is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-xml is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082020 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-xmlrpc is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-domxml is earlier than 0:4.3.9-3.29 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032011 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.29 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-xml is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-odbc is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392008 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-xml is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-ncurses is earlier than 0:4.3.9-3.29 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032014 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.29 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-soap is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-gd is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032015 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-soap is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040062. Please see help for possible reasons
IF : All of the following are true
IF : php-snmp is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-mbstring is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032013 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-snmp is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040060. Please see help for possible reasons
IF : All of the following are true
IF : php-pgsql is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-imap is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392004 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-pgsql is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040058. Please see help for possible reasons
IF : All of the following are true
IF : php-pdo is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php is earlier than 0:4.3.9-3.29 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392002 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.29 (datatype=evr_string)
linux : rpminfo_state 
IF : php-pdo is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-ldap is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392005 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-odbc is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040054. Please see help for possible reasons
IF : php-odbc is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-pdo is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082014 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-ncurses is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-mysql is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392006 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-ncurses is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040052. Please see help for possible reasons
IF : All of the following are true
IF : php-mysql is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040050. Please see help for possible reasons
IF : php-mysql is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-pgsql is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392007 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-mbstring is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-devel is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392003 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-mbstring is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040048. Please see help for possible reasons
IF : All of the following are true
IF : php-ldap is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-cli is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082010 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-ldap is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040046. Please see help for possible reasons
IF : All of the following are true
IF : php-imap is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-snmp is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032010 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-imap is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040044. Please see help for possible reasons
IF : All of the following are true
IF : php-gd is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040042. Please see help for possible reasons
IF : php-gd is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-soap is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082008 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-devel is earlier than 0:5.1.6-24.el5_4.5
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040040. Please see help for possible reasons
IF : php-devel is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-ncurses is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032014 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-dba is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-bcmath is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082006 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-dba is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-gd is earlier than 0:5.1.6-24.el5_4.5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032015 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-24.el5_4.5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-common is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-soap is earlier than 0:5.1.6-24.el5_4.5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082008 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-24.el5_4.5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-common is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-common is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082005 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-cli is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-dba is earlier than 0:5.1.6-24.el5_4.5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082004 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-24.el5_4.5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-cli is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-dba is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082004 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-bcmath is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-devel is earlier than 0:5.1.6-24.el5_4.5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392003 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-24.el5_4.5 (datatype=evr_string)
linux : rpminfo_state 
IF : php-bcmath is signed with Red Hat redhatrelease key
Linux : RPM Test :  php-xmlrpc is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032012 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php is earlier than 0:5.1.6-24.el5_4.5
Linux : RPM Test :  php-bcmath is earlier than 0:5.1.6-24.el5_4.5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20070082006 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-24.el5_4.5 (datatype=evr_string)
linux : rpminfo_state 
IF : php is signed with Red Hat redhatrelease key
Linux : RPM Test :  php is earlier than 0:5.1.6-7.el5 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392002 (Object depth limit may be exceeded) !!!
RPM Version less than 0:5.1.6-7.el5 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : Red Hat Enterprise Linux 4 is installed
WARNING! Unknown test oval:com.redhat.rhba:tst:20070304025. Please see help for possible reasons
IF : Any one of the following are true
IF : All of the following are true
IF : php-xmlrpc is signed with Red Hat master key
Linux : RPM Test :  php-domxml is earlier than 0:4.3.9-3.12 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032011 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.12 (datatype=evr_string)
linux : rpminfo_state 
IF : php-xmlrpc is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040027. Please see help for possible reasons
IF : All of the following are true
IF : php-snmp is signed with Red Hat master key
Linux : RPM Test :  php-snmp is earlier than 0:4.3.9-3.12 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20050032010 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.12 (datatype=evr_string)
linux : rpminfo_state 
IF : php-snmp is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040025. Please see help for possible reasons
IF : All of the following are true
IF : php-pgsql is signed with Red Hat master key
Linux : RPM Test :  php-pgsql is earlier than 0:4.3.9-3.12 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392007 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.12 (datatype=evr_string)
linux : rpminfo_state 
IF : php-pgsql is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040023. Please see help for possible reasons
IF : All of the following are true
IF : php-pear is signed with Red Hat master key
Linux : RPM Test :  php-ldap is earlier than 0:4.3.9-3.12 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392005 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.12 (datatype=evr_string)
linux : rpminfo_state 
IF : php-pear is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040021. Please see help for possible reasons
IF : All of the following are true
IF : php-odbc is signed with Red Hat master key
WARNING! Unknown test oval:com.redhat.rhsa:tst:20060276020. Please see help for possible reasons
IF : php-odbc is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040019. Please see help for possible reasons
IF : All of the following are true
IF : php-ncurses is signed with Red Hat master key
Linux : RPM Test :  php-devel is earlier than 0:4.3.9-3.12 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392003 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.9-3.12 (datatype=evr_string)
linux : rpminfo_state 
IF : php-ncurses is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040017. Please see help for possible reasons
IF : All of the following are true
IF : php-mysql is signed with Red Hat master key
WARNING! Unknown test oval:com.redhat.rhsa:tst:20060276016. Please see help for possible reasons
IF : php-mysql is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040015. Please see help for possible reasons
IF : All of the following are true
IF : php-mbstring is signed with Red Hat master key
Linux : RPM Test :  php-odbc is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392008 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : php-mbstring is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040013. Please see help for possible reasons
IF : All of the following are true
IF : php-ldap is signed with Red Hat master key
Linux : RPM Test :  php-pgsql is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392007 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : php-ldap is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040011. Please see help for possible reasons
IF : All of the following are true
IF : php-imap is signed with Red Hat master key
Linux : RPM Test :  php-mysql is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392006 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : php-imap is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040009. Please see help for possible reasons
IF : All of the following are true
IF : php-gd is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040007. Please see help for possible reasons
IF : php-gd is signed with Red Hat master key
Linux : RPM Test :  php-ldap is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392005 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-domxml is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040005. Please see help for possible reasons
IF : php-domxml is signed with Red Hat master key
Linux : RPM Test :  php-imap is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392004 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : php-devel is signed with Red Hat master key
Linux : RPM Test :  php-devel is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392003 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 
IF : php-devel is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040003. Please see help for possible reasons
IF : All of the following are true
IF : php is earlier than 0:4.3.9-3.29
WARNING! Unknown test oval:com.redhat.rhsa:tst:20100040001. Please see help for possible reasons
IF : php is signed with Red Hat master key
Linux : RPM Test :  php is earlier than 0:4.3.2-30.ent 
At least one of the objects listed below must exist on the system (Existence check)
Unknown object oval:com.redhat.rhsa:obj:20040392002 (Object depth limit may be exceeded) !!!
RPM Version less than 0:4.3.2-30.ent (datatype=evr_string)
linux : rpminfo_state 

Quick Help

Unknown Tests
There is a hardcoded maximum limit for number of tests displayed for a definition. For a small number of oval definitions, about ~1% of all, hundreds of test have been defined. This causes the pages to grow in size, exceed even 1mb, and they are unsuitable for display in a web page. So they are not displayed.Please refer to the xml definition files if you really want to view them.
evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html